Support » Plugin: Proxy & VPN Blocker » An Odd Problem Since 1.6.1

  • Resolved citadelalliance

    (@citadelalliance)


    First, the plugin works very well. The problem is that other plugins have problems with it.

    From 1.6.1 thru 1.6.3, this is what happens.

    Searching for new plugins stops working. The little wheel goes round and round, forever.
    Wordfence’s live traffic feature can’t find any traffic, at all.
    The same happens with WPCerber.
    UpdraftPlus gives a warning that a plugin is injecting extra whitespace.

    That last part is how I discovered which plugin I’d recently updated, was the culprit.
    Now before you start worrying too much, I should tell you this isn’t your usual WordPress installation. Its a Bitnami WordPress installation running on Windows 10. If you have any ideas, I’d love to hear them. Thanks.

Viewing 15 replies - 1 through 15 (of 20 total)
  • Plugin Author rickstermuk

    (@rickstermuk)

    Hi citadelalliance, Apologies for the issues you’re experiencing!

    I haven’t experienced the issue where searching for plugins stops working. I have however discovered an issue that is allowing the wp-cron task and admin-ajax to get blocked in some circumstances where other plugins are communicating with other servers, this is because data center IP ranges are flagged as being VPN’s by the proxycheck.io API (anyone can rent a server and create a VPN on it). I do have code that makes the API call not happen if it’s a WordPress task but unfortunately It turns out that it didn’t cover everything in 1.6.0 to 1.6.3.

    I should have another update imminently with a fix for this.

    Thread Starter citadelalliance

    (@citadelalliance)

    I tried 1.6.4, but it had the same results. Tomorrow, I will check to see if this problem includes the combination of another plugin interacting with yours. Will let you know what I find. Thanks for your help.

    Plugin Author rickstermuk

    (@rickstermuk)

    This is highly abnormal!

    I did notice after making the change for 1.6.4 that wordfence didn’t immediately recognize it and the scan still failed for a bit, perhaps it would be the same for the traffic log.

    You do say you’re using Bitnami and I have another person using Bitnami with issues of his own right now.

    I look forward to hearing your findings,

    Thank you!
    Rick

    Thread Starter citadelalliance

    (@citadelalliance)

    I’m out of the office, right now, but when I get back, I will provide you with more data. Thanks again, for your interest in this.

    Thread Starter citadelalliance

    (@citadelalliance)

    I ran a little experiment with 1.6.4 activated.

    Wordfence’s live traffic, after a brief notice that wordfence was working, displayed nothing. In other words, no entries, old, or new appeared. Also, its page for displaying blocked IP ranges, displayed no data at all. When I deactivated 1.6.4, everything returned to normal, even the traffic I had generated by viewing various pages while 1.6.4 was active. The blocking page also returned to normal. I’m not going to pretend to be an expert, but to me, it suggests a database connectivity problem. It appears that data can be written, but not read.

    Trying the same with WP Cerber, there is a difference. Traffic Inspector doesn’t automatically show new traffic, but if the page is refreshed, it is there.

    Plugins, add new, keyword search just spins its wheel forever while 1.6.4 is active. I’ve waited as long as 20 minutes with no results appearing.

    I hope some of this is useful.

    Plugin Author rickstermuk

    (@rickstermuk)

    Thank you for the information above!

    One thing I forgot to ask you, is “block on entire site” enabled?

    Thread Starter citadelalliance

    (@citadelalliance)

    No, it isn’t. I read the FAQ. 😉

    Plugin Author rickstermuk

    (@rickstermuk)

    Hi @citadelalliance,

    I’ve still came up pretty empty handed for these issues but have made a few code tweaks, if you’d like to try the version titled “development version” on this page and let me know if it still has issues for you I would be grateful!

    https://wordpress.org/plugins/proxy-vpn-blocker/advanced/

    It will likely not allow you to install it via ‘upload zip’ in WordPress so you’ll likely have to replace the files manually. This will still show as 1.6.4 as being installed as to not effect a future upgrade to 1.6.5.

    Thank you
    -Rick

    Thread Starter citadelalliance

    (@citadelalliance)

    I’m in the process of duplicating the site on a Linux server, in order to see if the problem is the mix of plugins I’m using or Bitami on Windows 10. I downloaded the development version so I can play with that, as well. I’ll let you know.

    Thread Starter citadelalliance

    (@citadelalliance)

    I set up a Linux based site and added all the plugins that are on the original. After activating them all and providing a minimum amount of configuration that was needed, I installed 1.6.4 and activated it. At first, everything was normal, but then, I entered the key for the stats and got the same results as the original site

    So now, I know it has nothing to do with Bitnami/Windows 10. It has something to do with the plugins I’m using. I will begin on the 2nd site, deactivating each plugin, one at a time, till I find which one is involved. Possibly, the fact that all was fine till I entered the key, may provide a clue. More to follow.

    Plugin Author rickstermuk

    (@rickstermuk)

    Thank you for testing this, I appreciate your input!

    I found a small issue when a key was in but dashboard API setting was disabled on the proxycheck.io account but it was nothing more than a visual issue with the message appearing twice alerting you to enable dashboard API, but that shouldn’t cause what you’re seeing and I am sure your Dashboard API setting is already turned on for this feature within your proxycheck.io account.

    I’ve not came up with any of the major issues you’ve been experiencing, however. How odd!

    Edit: did you try the development version you downloaded?

    • This reply was modified 1 year, 5 months ago by rickstermuk.
    Thread Starter citadelalliance

    (@citadelalliance)

    I haven’t yet. I found myself up to my neck in projects that needed attention, but I should be able to get to testing if deactivating any other plugin, resolves the issue. I should mention that I had one site using Cloudflare and the other wasn’t, so that doesn’t appear to bear on this. Later.

    Thread Starter citadelalliance

    (@citadelalliance)

    This might provide some information. On the commercially hosted Linux site, I deactivated WP Cerber, then activated 1.6.4, and then tried to activate 1.6.4. This is what I saw on the plugin page. (I’ve obfuscated the domain name). Once I deactivated 1.6.4, everything returned to normal and WP Cerber was activated.

    constant AUTOSAVE_INTERVAL – assumed ‘AUTOSAVE_INTERVAL’ (this will throw an Error in a future version of PHP) in /homepages/38/d827455295/htdocs/clickandbuilds/##########/wp-includes/script-loader.php on line 1893

    Warning: Cannot modify header information – headers already sent by (output started at /homepages/38/d827455295/htdocs/clickandbuilds/##########/wp-includes/script-loader.php:1893) in /homepages/38/d827455295/htdocs/clickandbuilds/##########/wp-includes/functions.php on line 6221

    Warning: Cannot modify header information – headers already sent by (output started at /homepages/38/d827455295/htdocs/clickandbuilds/##########/wp-includes/script-loader.php:1893) in /homepages/38/d827455295/htdocs/clickandbuilds/##########/wp-admin/includes/misc.php on line 1259

    Warning: Cannot modify header information – headers already sent by (output started at /homepages/38/d827455295/htdocs/clickandbuilds/##########/wp-includes/script-loader.php:1893) in /homepages/38/d827455295/htdocs/clickandbuilds/##########/wp-admin/admin-header.php on line 9

    Warning: Cannot modify header information – headers already sent by (output started at /homepages/38/d827455295/htdocs/clickandbuilds/##########/wp-includes/script-loader.php:1893) in /homepages/38/d827455295/htdocs/clickandbuilds/##########/wp-includes/option.php on line 961

    Warning: Cannot modify header information – headers already sent by (output started at /homepages/38/d827455295/htdocs/clickandbuilds/##########/wp-includes/script-loader.php:1893) in /homepages/38/d827455295/htdocs/clickandbuilds/##########/wp-includes/option.php on line 962

    Thread Starter citadelalliance

    (@citadelalliance)

    When I saw that 1.6.6 was available. I updated one of the sites that had the problem. Unfortunately, the results were the same. Since the two sites are live, I can’t really keep playing with them, but I have a site I’m just starting to develop that has only a minimum number of plugins active, and tried it on that one. No problem with 1.6.6. So now, I am going to add the standard set of plugins I use, one by one, until I find where the problem is. Will let you know.

    Plugin Author rickstermuk

    (@rickstermuk)

    I’d typed a reply to this yesterday but forgot to hit submit, apologies. I wasn’t able to reproduce these PHP warnings at all and they as yet don’t appear to be related to something this Plugin does directly, but perhaps a conflict with something else you use or how it is configured that doesn’t play well with it.

    I appreciate that you are going the extra mile to try and figure this out.

    Thank you,
    Rick.

Viewing 15 replies - 1 through 15 (of 20 total)
  • The topic ‘An Odd Problem Since 1.6.1’ is closed to new replies.